summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /net-misc/gsasl
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'net-misc/gsasl')
-rw-r--r--net-misc/gsasl/Manifest1
-rw-r--r--net-misc/gsasl/files/gsasl-gss-extra.patch21
-rw-r--r--net-misc/gsasl/gsasl-1.8.0-r1.ebuild73
-rw-r--r--net-misc/gsasl/metadata.xml13
4 files changed, 108 insertions, 0 deletions
diff --git a/net-misc/gsasl/Manifest b/net-misc/gsasl/Manifest
new file mode 100644
index 00000000000..0840079f356
--- /dev/null
+++ b/net-misc/gsasl/Manifest
@@ -0,0 +1 @@
+DIST gsasl-1.8.0.tar.gz 4914837 SHA256 310262d1ded082d1ceefc52d6dad265c1decae8d84e12b5947d9b1dd193191e5 SHA512 711bd87d27656834ae7e19b22a76db2b1db37dd25999cd303fe8439e23e74e87fd1474c5db1b5f97e9ab75437eeeb6167a752e9191f364f530eeabb6cddda36f WHIRLPOOL cf5a0a855218af211dc6afc61e2ed18b7bc89e4c80c3e207df125a80ba8910c1c02dfa3d6260224aab59d29dcbf8f3f40168a145863db65a01b7b0e0446f6ead
diff --git a/net-misc/gsasl/files/gsasl-gss-extra.patch b/net-misc/gsasl/files/gsasl-gss-extra.patch
new file mode 100644
index 00000000000..e08a36ae577
--- /dev/null
+++ b/net-misc/gsasl/files/gsasl-gss-extra.patch
@@ -0,0 +1,21 @@
+Based on gentoo bug #359005
+--- lib/gl/m4/gss-extra.m4.orig 2010-12-14 12:57:08.000000000 +0000
++++ lib/gl/m4/gss-extra.m4 2011-11-05 21:11:54.000000000 +0000
+@@ -19,7 +19,16 @@
+ AC_CHECK_FUNCS([gss_decapsulate_token])
+ AC_CHECK_FUNCS([gss_oid_equal])
+ AC_CHECK_FUNCS([gss_inquire_mech_for_saslname])
+- AC_CHECK_FUNCS([GSS_C_NT_HOSTBASED_SERVICE])
++ AC_MSG_CHECKING([for GSS_C_NT_HOSTBASED_SERVICE])
++ AC_EGREP_CPP(hostbased_service_gss_nt_yes, gssapi.h,
++ [#include <gssapi.h>
++ #ifdef GSS_C_NT_HOSTBASED_SERVICE
++ hostbased_service_gss_nt_yes
++ #endif],
++ [AC_DEFINE(HAVE_GSS_C_NT_HOSTBASED_SERVICE,,
++ [Define if your GSSAPI implimentation defines GSS_C_NT_HOSTBASED_SERVICE])
++ AC_MSG_RESULT([yes])],
++ AC_MSG_RESULT([no]))
+ if test "$gssapi_impl" != "gss"; then
+ AC_CHECK_HEADERS([gssapi.h gssapi/gssapi.h])
+ if test "$ac_cv_header_gssapi_h$ac_cv_header_gssapi_gssapi_h" = "nono"; then
diff --git a/net-misc/gsasl/gsasl-1.8.0-r1.ebuild b/net-misc/gsasl/gsasl-1.8.0-r1.ebuild
new file mode 100644
index 00000000000..e967217c06c
--- /dev/null
+++ b/net-misc/gsasl/gsasl-1.8.0-r1.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="4"
+
+inherit autotools eutils
+
+DESCRIPTION="The GNU SASL client, server, and library"
+HOMEPAGE="http://www.gnu.org/software/gsasl/"
+SRC_URI="mirror://gnu/${PN}/${P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 ppc x86 ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos"
+IUSE="doc gcrypt idn kerberos nls ntlm static-libs +threads"
+
+DEPEND="
+ gcrypt? ( dev-libs/libgcrypt:0 )
+ idn? ( net-dns/libidn )
+ kerberos? ( virtual/krb5 )
+ nls? ( >=sys-devel/gettext-0.18.1 )
+ ntlm? ( net-libs/libntlm )
+"
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ epatch "${FILESDIR}/${PN}-gss-extra.patch"
+ sed -i -e '/gl_WARN_ADD(\[-Werror/d' \
+ -e 's/ -Werror//' configure.ac || die
+ sed -i -e 's/ -Werror//' lib/configure.ac || die
+ eautoreconf
+}
+
+src_configure() {
+ local krb5_impl
+ if use kerberos; then
+ krb5_impl="--with-gssapi-impl="
+ krb5_impl+=$(has_version app-crypt/mit-krb5 && echo "mit" || echo "heimdal")
+ fi
+ econf \
+ --enable-client \
+ --enable-server \
+ --disable-valgrind-tests \
+ --disable-rpath \
+ --without-libshishi \
+ --without-libgss \
+ --disable-kerberos_v5 \
+ $(use_enable kerberos gssapi) \
+ ${krb5_impl} \
+ $(use_enable kerberos gs2) \
+ $(use_with gcrypt libgcrypt) \
+ $(use_enable nls) \
+ $(use_with idn stringprep) \
+ $(use_enable ntlm) \
+ $(use_with ntlm libntlm) \
+ $(use_enable static-libs static) \
+ $(use_enable threads)
+}
+
+src_install() {
+ default
+ if ! use static-libs; then
+ rm -f "${D}"/usr/lib*/lib*.la
+ fi
+ doman doc/gsasl.1 doc/man/*.3
+
+ if use doc; then
+ dodoc doc/*.{eps,ps,pdf}
+ dohtml doc/*.html
+ docinto examples
+ dodoc examples/*.c
+ fi
+}
diff --git a/net-misc/gsasl/metadata.xml b/net-misc/gsasl/metadata.xml
new file mode 100644
index 00000000000..e80fb1b890f
--- /dev/null
+++ b/net-misc/gsasl/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>net-mail</herd>
+<use>
+<flag name='gcrypt'>
+ Use <pkg>dev-libs/libgcrypt</pkg> for low-level crypto
+</flag>
+<flag name='ntlm'>
+ Add support for Microsoft's NTLM mechanism using <pkg>net-libs/libntlm</pkg>
+</flag>
+</use>
+</pkgmetadata>